<template>
    <div class="container">
      <div class="card">
        <p v-if="loading">Verificando cuenta...</p>
        <p v-else-if="success">Cuenta eliminada exitosamente</p>
        <p v-else>Error al verificar la cuenta</p>
      </div>
    </div>
</template>

<script>
  import axios from 'axios';
  
  export default {
    data() {
      return {
        loading: true,
        success: false,
      };
    },
    async created() {
      const token = this.$route.query.token;
      try {
        const response = await axios.get('http://localhost:3001/usuarios/eliminar-cuenta', {
            params: {
              token: token,
            },
        });
        if (response.status === 200) {
          this.success = true;
        } else {
          console.error('Error al verificar la cuenta:', response.data);
        }
      } catch (error) {
        console.error('Error al verificar la cuenta:', error);
      } finally {
        this.loading = false;
      }
    },
  };
</script>

<style scoped>
.container {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100vh;
}

.card {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 400px;
  height: 30vh;
  padding: 20px;
  border-radius: 10px;
  background-color: #2148c0;
  color: #e4e6eb;
  box-shadow: 0px 10px 30px -5px rgba(0, 0, 0, 0.3);
}

p {
  margin: 20px 0;
  font-size: 18px;
  line-height: 24px;
}
</style>
